// 控制jq
var w = $(window).width(),
	h = $(window).height();
$(function(){
	$('#menubtn').click(function(){
		if($(this).attr('data-type') == 1){
			$(this).attr('data-type', 2);
			$('header #webmenu').css('right', 0);
			$('#menubg').attr('data-type', 2);
			$('body').addClass('over_hid');
		}else{
			$(this).attr('data-type', 1);
			$('header #webmenu').css('right', 'calc(-1 * var(--width-xs))');
			$('#menubg').attr('data-type', 1);
			$('body').removeClass('over_hid');
		}
	});
	$('header #webmenu nav ul li b').click(function(){
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
	$('#menubg').click(function(){
		$(this).attr('data-type', 1);
        $('header #menubtn').attr('data-type', 1);
        $('header #webmenu').css('right', 'calc(-1 * var(--width-xs))');
		$('body').removeClass('over_hid');
	});
	$('#openform').click(function(){
		var type = ($('#hSearch').attr('data-type') == 1) ?2:1;
		$('#hSearch').attr('data-type', type);
	});
	$('#go_search').click(function(){
		$('#hSearch').submit();
	});
	$('#more_extra').click(function(){
		if($(this).attr('data-type') == '0'){
			$(this).attr('data-type', 1);
			$(this).parent().removeClass('over_hid');
			$(this).parent().addClass('over_vis');
			$(this).next().css('bottom', 'calc(100% + 3px)');
		}else{
			$(this).attr('data-type', 0);
			$(this).parent().removeClass('over_vis');
			$(this).parent().addClass('over_hid');
			$(this).next().css('bottom', '0');
		}
	});
	$('#sidebtn').click(function(){
		if($(this).eq(0).attr('data-type') == 1){
			$(this).attr('data-type', 2);
			$(this).next().addClass('open');
		}else{
			$(this).attr('data-type', 1);
			$(this).next().removeClass('open');
		}
	});
	$('#category_nav li b').click(function(){
		if($(this).parent().parent().eq(0).attr('data-type') == 1) {
			$('#category_nav >li').attr('data-type', 1);
			$(this).parents('li').attr('data-type', 2);
		}else{
			$(this).parents('li').attr('data-type', 1);
		}
	});
});
//回到顶部
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}
webscroll();
$(window).scroll(webscroll);
function webscroll(){
	var docHeight = $(document).height();
	var headerHeight = $('header').height() + 20;
	var footerHeight = $('footer').height() - 20;
	var windowHeight = $(window).height();
	var windowScrollTop = $(window).scrollTop();
	var endPoint = docHeight - footerHeight;

	if(windowScrollTop > 50){
		$('header').addClass('scroll');
	}else{
		$('header').removeClass('scroll');
	}
	
	if(windowScrollTop > $('#wrap').offset().top - headerHeight){
		$('#gotop').attr('data-type', '1');
		$('#footer_btn').attr('data-type', '1');
		if(windowScrollTop + windowHeight >= endPoint){
			$('#gotop').attr('data-type', '2');
			$('#footer_btn').attr('data-type', '2');
		}
	}else{
		$('#gotop').attr('data-type', '1');
		$('#footer_btn').attr('data-type', '1');
	}
}
//jump6
var flagWC = 0;
window.addEventListener('message',function(e){
	if(e.source != window.parent) return;
	if(flagWC > 0) return;
	document.body.style.width = e.data;
	document.body.style.overflowX = "hidden";
	flagWC = 1;
},true);
if(window.top != window && flagWC == 0){
	window.top.postMessage('givemewidth','*');
}